---
title: TrackEvent()
slug: Web/API/TrackEvent/TrackEvent
tags:
  - API
  - Audio
  - Constructor
  - HTML DOM
  - Media
  - Reference
  - TrackEvent
  - Tracks
  - Video
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>TrackEvent()</code></strong> constructor creates and returns a new {{domxref("TrackEvent")}} object describing an event which occurred on a list of tracks ({{domxref("AudioTrackList")}}, {{domxref("VideoTrackList")}}, or {{domxref("TextTrackList")}}).</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>trackEvent</em> = new TrackEvent(<em>type</em>, <em>eventInfo</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>The type of track event which is described by the object: <code>"addtrack"</code> or <code>"removetrack"</code>.</dd>
 <dt><code>eventInfo</code> {{optional_inline}}</dt>
 <dd>An optional dictionary providing additional information configuring the new event; it can contain the following fields in any combination:
 <dl>
  <dt><code>track</code> {{optional_inline}}</dt>
  <dd>The track to which the event refers; this is <code>null</code> by default, but should be set to a {{domxref("VideoTrack")}}, {{domxref("AudioTrack")}}, or {{domxref("TextTrack")}} as appropriate given the type of track.</dd>
  <dt><code>bubbles</code> {{optional_inline}}</dt>
  <dd>A Boolean indicating whether the event bubbles or not.</dd>
  <dt><code>cancelable</code> {{optional_inline}}</dt>
  <dd>A Boolean indicating whether or not the event can be canceled.</dd>
  <dt><code>composed</code> {{optional_inline}}</dt>
  <dd>A Boolean indicating whether or not the event will trigger listeners outside of a shadow root; see {{domxref("Event.composed")}} for more details.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("TrackEvent")}} object, initialized as described by the inputs to the constructor.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "media.html#dom-trackevent-trackevent", "TrackEvent()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "semantics-embedded-content.html#dom-trackevent-trackevent", "TrackEvent()")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TrackEvent.TrackEvent")}}</p>
